/**

 A simple 3-input, 1-output combinatorial model. The model implements the D
 output as this K-map:
 
     /- B -\
     ---------------
  A | 1 | 0 | 1 | 1 |
    |---------------|
    | 0 | 1 | 0 | 1 |
     ---------------
        \- C -/
 
  */

module comb3(input A, B, C, output D);
   assign D = ( A &  B & !C) |
	      (!A &  B &  C) |
	      ( A & !B     ) |
	      (     !B & !C);
endmodule

/* ---------------------------------- EOF ---------------------------------- */
